> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user relations and roles



## OpenAPI

````yaml /openapi.json get /users/permissions/@me
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /users/permissions/@me:
    get:
      tags:
        - legacy-permission
      summary: Get current user relations and roles
      operationId: LegacyPermissionsController_atMe
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyAtMeOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UserNotFoundErrorDto'
                  - $ref: '#/components/schemas/UserEmailNotFoundErrorDto'
              examples:
                USER_NOT_FOUND:
                  $ref: '#/components/schemas/UserNotFoundErrorDto'
                USER_EMAIL_NOT_FOUND:
                  $ref: '#/components/schemas/UserEmailNotFoundErrorDto'
          description: ''
components:
  schemas:
    LegacyAtMeOutput:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        isSuperUser:
          type: boolean
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        brokerageFirmId:
          type: string
          description: My brokerage firm
        brokerRole:
          type: string
          description: My broker role
        productIds:
          description: Products that can be distributed by the user
          type: array
          items:
            type: string
        relations:
          type: array
          items:
            $ref: '#/components/schemas/Relation'
      required:
        - userId
        - email
        - isSuperUser
        - relations
    UserNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - USER_NOT_FOUND
        message:
          type: string
          example: No user found for user id {userId}
        details:
          $ref: '#/components/schemas/UserNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    UserEmailNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - USER_EMAIL_NOT_FOUND
        message:
          type: string
          example: No email found for user id {userId}
        details:
          $ref: '#/components/schemas/UserEmailNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    Relation:
      type: object
      properties:
        id:
          type: string
        userId:
          type: string
        resourceId:
          type: string
        relationType:
          type: string
      required:
        - id
        - userId
        - resourceId
        - relationType
    UserNotFoundDetailsDto:
      type: object
      properties:
        userId:
          type: string
        source:
          type: string
      required:
        - userId
        - source
    UserEmailNotFoundDetailsDto:
      type: object
      properties:
        userId:
          type: string
      required:
        - userId

````